Class | YARD::CLI::Command
In: | lib/yard/cli/command.rb
Parent: | Object

Abstract base class for CLI utilities. Provides some helper methods for the option parser

@abstract @since 0.6.0

### Methods

common_options description load_script parse_options run

### Public Class methods

run(*args)

Helper method to run the utility on an instance. @see run

### Public Instance methods

description()

### Protected Instance methods

common_options(opts)

Adds a set of common options to the tail of the OptionParser

@param [OptionParser] opts the option parser object @return [void]

load_script(file)

Loads a Ruby script. If +Config.options[:safe_mode]+ is enabled, this method will do nothing.

@param [String] file the path to the script to load @since 0.6.2

parse_options(opts, args)

Parses the option and gracefully handles invalid switches

@param [OptionParser] opts the option parser object @param [Array<String>] args the arguments passed from input. This

      array will be modified.

@return [void]

[Validate]